/* Implementation of message_id cluster */

#include <string.h>
#include "config.h"
#include "message_id.h"         /* config.h must be included before message_id.h */

#define MAGIC_MULTIPLE 19

int
  mess_id_cmp(id1, id2)
mess_id_type id1, id2;
/* looks and works like strcmp */
{
  if (id1 == id2) return 0;
  if (id1 < id2) return -1;
  return 1;
}

mess_id_type
  hash_message_id(id_string)
char *id_string;
{
  int num_chars;
  uint32 total = 0;
  int c;
  
  if (id_string == NULL) return 0;

  num_chars = strlen(id_string);

  for (c = 0  ; c < num_chars ; c ++)
    total = (uint32) (total * (uint32) MAGIC_MULTIPLE
      + (uint32) id_string[c]);   	/* addition had better wrap and not overflow */
       

  return total;
}


