#ifndef _MESSAGE_ID_H
#define _MESSAGE_ID_H

/* Cluster of operations for working on message ids 
    -Dave Maltz
*/

/* note: b/c C sux, K.F.Storm can't program cleanly, and I'm an idiot; all
files which include message_id.h must first include config.h.  If you must
include config.h in this file, then the text of config.h must be bracketed with
an #ifdef so that it is only included once.  (the problem, of course, is that
the include tree is not a tree but a cyclic graph instead...)  */

#define MAX_ID_SIZE 100			/* largest id (in chars) */
#define MAX_ID_SIZE_DIV_4 25		/* max id divided by 4 */

typedef uint32 mess_id_type;

mess_id_type hash_message_id(/* id_string */);

int mess_id_cmp(/* id1, id2 */);   /* looks and works like strcmp */

#define mess_id_copy(id) (id)	/* would be strdup if mess_id was a char* */
#define mess_id_free(id)	/* would be free if mess_id was a char* */

#endif /* _MESSAGE_ID_H */




