#ifndef COLINTERNAL_H
#define COLINTERNAL_H

/* routines for working with the data abstractions in the collaborative interface
   these routines may be implemented in either collabdata.c or colinterface.c
   They should be straightened out at some point when i have more time
     by Dave Maltz

 history:
 11/1/93 created

*/

#include "colinterface.h"

void* collab_getmemory(/* size */);
vote_t* collab_create_new_vote_record(/* message_id */);
vote_t* collab_find_previous_vote_record(/* message_id,vote_list */);

#define AVE_GRP_NAME_SZ 60;  	/* this is a guess at the average length of a
				   group name, in characters, including .'s
				   it's only a guess (used in collabtcp.c) */

/**** exceptions ****/
#define NORMAL			0
#define MISSFORMED_BUFFER 	1 
#define END_OF_DATA		2
#define NOT_ENUF_BUF		3
#define LOST_CONNECTION		4

#endif /*  COLINTERNAL_H */
