#ifndef _VOTE_H 
#define _VOTE_H

/* vote.h
   interface for casting votes */

/* Copyright (c) 1993 Xerox Corporation.  All rights reserved.
 
   Use and copying of this software and preparation of derivative works
   based upon this software are permitted.  Any distribution of this
   software or derivative works must comply with all applicable United
   States export control laws.  This software is made available AS IS, and
   Xerox Corporation makes no warranty about the software, its performance
   or its conformity to any specification. */


/******** exported procedures ********/
void vote_send_file_stream_to_shell_command(/* filestr,executable */);

void vote_send_votes();

void vote_for_article(/* vote, message_id, group_name */);

/******* program globals ************/
extern int auto_advance_on_vote;  /* goto nextpage or next art 
				       after vote is entered? */
extern int vote_anonymously;      /* vote with name or without? */
extern char *vote_file;           /* pathname to vote file */

#endif /* _VOTE_H */
